package com.yipin.liuwanr.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;


@ApiModel(value = "ManagementAndPointVo对象", description = "添加项目管理对象ManagementAndPointVo")
public class ManagementAndPointVo {
	@ApiModelProperty(value = "项目管理实体类", name = "management", required = true)
	private ProjectManagement management;//项目管理

	//@ApiModelProperty(value = "判分点信息列表，key:判分点主键 value:分数", name = "pooints", example = "[{\"judgmentPointsId\":184,\"judgmentPointsName\":\"列表——元素的修改 \",\"experimentalRequirements\":\"新学期开始，老师组织了学习小组，该学习小组有A,B,C,D五个学生\\nList1=[''A'',''B'',''C'',''D'']\\n列表元素-修改-请使用下标索引\\n第三天上课，老师发现把E同学的名字打错了，应该T。请修改并打印本小组的全体学生\",\"score\":\"100\"}]", required = true)
	@ApiModelProperty(value = "判分点信息列表，key:判分点主键 value:分数", name = "pooints", required = true)
	private List<JudgmentPoints> pooints;//判分点信息

	@ApiModelProperty(value = "角色id列表", name = "roleId", example = "[403]", required = true)
	private List<Integer> roleId;//存储角色id

	public ProjectManagement getManagement() {
		return management;
	}

	public void setManagement(ProjectManagement management) {
		this.management = management;
	}

	public List<JudgmentPoints> getPooints() {
		return pooints;
	}

	public void setPooints(List<JudgmentPoints> pooints) {
		this.pooints = pooints;
	}

	public List<Integer> getRoleId() {
		return roleId;
	}

	public void setRoleId(List<Integer> roleId) {
		this.roleId = roleId;
	}

}
