package com.yipin.liuwanr.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 角色表
 *
 * @author 86151
 */
@ApiModel(value = "Role对象", description = "角色对象Role")
public class Role implements Serializable {

    //@ApiModelProperty(hidden = true)
    protected Integer roleId;// 角色ID
    @ApiModelProperty(hidden = true)
    private String roleName;// 角色名称
    //@ApiModelProperty(value = "角色数量", name = "roleNumber", example = "角色数量", required = true)
    @ApiModelProperty(value = "角色数量", name = "roleNumber", example = "2", required = true)
    private Integer roleNumber;// 角色数量
    @ApiModelProperty(value = "角色类型(0借款人 1贷款人 2保荐人)", name = "roleType", example = "0", required = true)
    private Integer roleType;// 角色类型
    @ApiModelProperty(value = "角色属性(0个人 1公司)", name = "roleAttribute", example = "0", required = true)
    private Integer roleAttribute;// 角色属性

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Integer getRoleNumber() {
        return roleNumber;
    }

    public void setRoleNumber(Integer roleNumber) {
        this.roleNumber = roleNumber;
    }

    public Integer getRoleType() {
        return roleType;
    }

    public void setRoleType(Integer roleType) {
        this.roleType = roleType;
    }

    public Integer getRoleAttribute() {
        return roleAttribute;
    }

    public void setRoleAttribute(Integer roleAttribute) {
        this.roleAttribute = roleAttribute;
    }

    @Override
    public String toString() {
        return "Role{" +
                "roleId=" + roleId +
                ", roleName='" + roleName + '\'' +
                ", roleNumber=" + roleNumber +
                ", roleType=" + roleType +
                ", roleAttribute=" + roleAttribute +
                '}';
    }
}
