//package com.yipin.liuwanr;
//
//import com.yipin.liuwanr.entity.*;
//import com.yipin.liuwanr.mapper.ProjectManagementMapper;
//import com.yipin.liuwanr.service.ProjectManagementService;
//import org.junit.jupiter.api.Test;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.boot.test.context.SpringBootTest;
//
//import org.springframework.transaction.annotation.Transactional;
//
//import java.util.ArrayList;
//import java.util.HashMap;
//import java.util.List;
//
//@SpringBootTest
//public class Project_ManagementTest {
//
//    @Autowired
//    private ProjectManagementService managementService;
//
//    @Autowired
//    private ProjectManagementMapper projectManagementMapper;
//
//    /**
//     * 查询用户角色信息
//     */
//    @Test
//    public void testQueryRole() {
//        Integer userid = 455;
//
//        HashMap<String, Object> map = managementService.queryRole(userid);
//
//        map.forEach((key, value) -> {
//            System.out.println("key = " + key + "  ===>  value = " + value.toString());
//        });
//    }
//
//    /**
//     * 分页查询+条件查询
//     */
////    @Test
////    public void testQueryAllManagements() {
////
////        Integer projectPermissions = null;
////        Integer founder = null;
////        Integer state = null;
////        String projectName = null;
////        Integer systemId = 1;
////        Integer userId = 4;
////
////        ProjectManagement vo = new ProjectManagement();
////        if (null != projectPermissions) {
////            vo.setProjectPermissions(projectPermissions);
////        }
////        if (null != founder) {
////            vo.setFounder(founder);
////        }
////        if (null != state) {
////            vo.setState(state);
////        }
////        if (null != systemId) {
////            vo.setSystemId(systemId);
////        }
////        if (null != projectName && projectName != "") {
////            vo.setProjectName(projectName);
////        }
////        if (null != userId) {
////            vo.setUserId(userId);
////        }
////
////        Integer pageNo = 1;
////        Integer pageSize = 10;
////
////        HashMap<String, Object> map = managementService.queryAllManagements(vo);
//////        HashMap<String, Object> map = managementService.queryAllManagements(vo, pageNo, pageSize);
////
////        Integer retcode = (Integer) map.get("retcode");
////
////        System.out.println(retcode);
////
////        if (retcode == 200) {
////            PageResult pageResult = (PageResult) map.get("retvalue");
////
////            Long total = pageResult.getTotal();
////
////            System.out.println("total = " + total);
////
////            List<ProjectManagement> rows = (List<ProjectManagement>) pageResult.getRows();
////
////            rows.forEach(item -> {
////                System.out.println(item.toString());
////            });
////
////        } else {
////            String msg = (String) map.get("retvalue");
////            System.out.println(msg);
////        }
////    }
//
//
//    /**
//     * 批量删除
//     */
//    @Transactional
//    @Test
//    public void testDeleteProjectManagement() {
//        List<Integer> point = new ArrayList<>();
//        point.add(1);
//        HashMap<String, Object> map = managementService.deleteProjectManagement(point);
//        map.forEach((key, value) -> System.out.println("key = " + key + "  ===>  value = " + value.toString()));
//    }
//
//    /**
//     * 根据项目管理id查询对应信息
//     */
//    @Test
//    public void testGetProjectId() {
//        Integer projectId = 299;
//        HashMap<String, Object> map = managementService.getProjectId(projectId);
//        map.forEach((key, value) -> System.out.println("key = " + key + "  ===>  value = " + value.toString()));
//    }
//
//    /**
//     * 添加判分点页面的判分点信息展示
//     */
//    @Test
//    public void testQueryAllJudgmentPoints() {
//        JudgmentPoints points = new JudgmentPoints();
//        points.setSystemId(1);
//        points.setJudgmentPointsName("");
//        HashMap<String, Object> map = managementService.queryAllJudgmentPoints(points);
//        Integer retcode = (Integer) map.get("retcode");
//        System.out.println(retcode);
//        if (retcode == 200) {
//            List<JudgmentPoints> list = (List<JudgmentPoints>) map.get("retvalue");
//            list.forEach(item -> {
//                System.out.println(item.toString());
//            });
//        } else {
//            String msg = (String) map.get("retvalue");
//            System.out.println(msg);
//        }
//    }
//
//
//    /**
//     * 创建项目管理页面的判分点信息展示
//     */
//    @Test
//    public void testGetByjudgmentPointsId() {
//        List<Integer> judgmentPointsId = new ArrayList<>();
//        judgmentPointsId.add(187);
//        Integer projectId = 1;
//        Integer userId = 4;
//        HashMap<String, Object> map = managementService.getByjudgmentPointsId(judgmentPointsId, projectId, userId);
//        Integer retcode = (Integer) map.get("retcode");
//        System.out.println(retcode);
//        if (retcode == 200) {
//            List<JudgmentPoints> list = (List<JudgmentPoints>) map.get("retvalue");
//            list.forEach(item -> {
//                System.out.println(item.toString());
//            });
//        } else {
//            String msg = (String) map.get("retvalue");
//            System.out.println(msg);
//        }
//    }
//
//    /**
//     * 平均分配分值
//     */
//    @Test
//    public void testAvgValues() {
//        Integer number = 66;
//        HashMap<String, Object> map = managementService.avgValues(number);
//        map.forEach((key, value) -> System.out.println("key = " + key + "  ===>  value = " + value));
//    }
//
//    /**
//     * 添加完角色信息 角色信息展示
//     */
//    @Test
//    public void testGetByRoleId() {
//        List<Integer> roleId = new ArrayList<>();
//        roleId.add(235);
//        HashMap<String, Object> map = managementService.getByRoleId(roleId);
//        map.forEach((key, value) -> System.out.println("key = " + key + "  ===>  value = " + value.toString()));
//    }
//
//    /**
//     * 修改角色信息
//     */
//    @Test
//    public void testUpdateRole() {
//
//        List<Integer> list = new ArrayList<>();
//        list.add(235);
//
//        List<Role> roleList = projectManagementMapper.getByRoleId(list);
//        Role role = roleList.get(0);
//        role.setRoleName("hh");
//        //System.out.println(role.toString());//Role{roleId=235, roleName='null', roleNumber=1, roleType=1, roleAttribute=1}
//
//        HashMap<String, Object> map = managementService.updateRole(role);
//        map.forEach((key, value) -> System.out.println("key = " + key + "  ===>  value = " + value.toString()));
//    }
//
//    /**
//     * 添加角色信息
//     */
//    @Test
//    public void testInsertRole() {
//        List<Integer> list = new ArrayList<>();
//        list.add(235);
//
//        List<Role> roleList = projectManagementMapper.getByRoleId(list);
//        Role role = roleList.get(0);
//        role.setRoleId(null);
//        role.setRoleName("hh");
//
//        HashMap<String, Object> map = managementService.insertRole(role);
//        map.forEach((key, value) -> System.out.println("key = " + key + "  ===>  value = " + value.toString()));
//    }
//
//    /**
//     * 添加项目管理信息
//     */
//    @Transactional //在单元测试中 Transaction注解会对数据库的更新（insert update delete）进行回滚 ，以保证数据不污染
//    @Test
//    public void testInsertProjectManagement() {
//        /*ProjectManagement pro = new ProjectManagement();
//        pro.setProjectName("简单加法计算");
//        pro.setProjectPermissions(1);
//        pro.setExperimentalGoal("本项目将会帮助学生了解简单的加法计算");
//        pro.setCaseDescription("声明两个变量，让其相加，得到其和");
//        pro.setIsstartexperimental(0);
//        pro.setExperimentSuggests("使用加号，将声明的变量相加");
//        pro.setIsstartexperimentSuggests(0);
//        pro.setState(1);
//        pro.setSystemId(6);
//        pro.setUserId(4);
//        pro.setFounder(0);
//        List<JudgmentPoints> points = new ArrayList<>();
//        JudgmentPoints judgmentPoints = new JudgmentPoints();
//        judgmentPoints.setJudgmentPointsId(205);
//        judgmentPoints.setExperimentalRequirements("按要求写出代码并正确运行显示小明考核结果");
//        judgmentPoints.setScore(100);
//        points.add(judgmentPoints);
//        List<Integer> roles = new ArrayList<>();
//        roles.add(433);*/
//        ProjectManagement pro = projectManagementMapper.getProjectId(302);
//        pro.setProjectId(null);
//        pro.setFounder(0);
//        List<JudgmentPoints> points = projectManagementMapper.queryProjectIds(302);
//        List<Integer> roles = projectManagementMapper.getByRoleProjectId(302);
////        HashMap<String, Object> map = managementService.insertProjectManagement(pro, points, roles);
////        map.forEach((key, value) -> System.out.println("key = " + key + "  ===>  value = " + value));
//    }
//
//
//    /**
//     * 根据项目名称查询
//     */
//    @Test
//    public void testGetByName() {
//        String projectName = "测试2";
//        HashMap<String, Object> map = managementService.getByName(projectName);
//        map.forEach((key, value) -> System.out.println("key = " + key + "  ===>  value = " + value.toString()));
//    }
//
//    /**
//     * 修改项目管理信息
//     */
//
//    @Transactional
//    @Test
//    public void testUpdateProjectManagement() {
//        /*ProjectManagement pro = new ProjectManagement();
//        pro.setProjectId(302);
//        pro.setProjectName("简单加法计算");
//        pro.setProjectPermissions(1);
//        pro.setExperimentalGoal("本项目将会帮助学生了解简单的加法计算");
//        pro.setCaseDescription("声明两个变量，让其相加，得到其和");
//        pro.setIsstartexperimental(0);
//        pro.setExperimentSuggests("使用加号，将声明的变量相加");
//        pro.setIsstartexperimentSuggests(0);
//        pro.setState(1);
//        pro.setSystemId(6);
//        pro.setUserId(4);
//        pro.setFounder(0);
//        List<JudgmentPoints> points = new ArrayList<>();
//        JudgmentPoints judgmentPoints = new JudgmentPoints();
//        judgmentPoints.setJudgmentPointsId(205);
//        judgmentPoints.setExperimentalRequirements("按要求写出代码并正确运行显示小明考核结果");
//        judgmentPoints.setScore(100);
//        points.add(judgmentPoints);
//        List<Integer> roles = new ArrayList<>();
//        roles.add(433);*/
//        ProjectManagement pro = projectManagementMapper.getProjectId(302);
//        pro.setFounder(0);
//        List<JudgmentPoints> points = projectManagementMapper.queryProjectIds(302);
//        List<Integer> roles = projectManagementMapper.getByRoleProjectId(302);
//        HashMap<String, Object> map = managementService.updateProjectManagement(pro, points, roles);
//        map.forEach((key, value) -> System.out.println("key = " + key + "  ===>  value = " + value));
//    }
//}
